nerr_match(3)

NAME
nerr_match

SYNOPSIS
#include <util/neo_err.h> int nerr_match (NEOERR *err, NERR_TYPE type);

ARGUMENTS
err - the NEOERR that has an error.
type - the NEOERR type, as registered with nerr_register

DESCRIPTION
nerr_match is used to walk the NEOERR chain and match the error against a specific error type. In exception parlance, this would be the equivalent of "catch". Typically, you can just compare a NEOERR against STATUS_OK or just test for true if you are checking for any error.

SEE ALSO
nerr_error_traceback(3), nerr_pass(3), nerr_error_string(3), defined(3), nerr_pass_ctx(3), nerr_passf(3), nerr_init(3), nerr_match(3), nerr_log_error(3), nerr_ignore(3), nerr_register(3), nerr_handle